Update location attribute by code
curl --request PUT \
--url https://prod01.oms.fabric.inc/api/v2/location/attribute/{code} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"code": "isBopis",
"name": "isBopis",
"description": "To check the status of the BOPIS(Buy-Online-Pickup-In-Store)",
"required": true
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}"
payload = {
"code": "isBopis",
"name": "isBopis",
"description": "To check the status of the BOPIS(Buy-Online-Pickup-In-Store)",
"required": True
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
code: 'isBopis',
name: 'isBopis',
description: 'To check the status of the BOPIS(Buy-Online-Pickup-In-Store)',
required: true
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'code' => 'isBopis',
'name' => 'isBopis',
'description' => 'To check the status of the BOPIS(Buy-Online-Pickup-In-Store)',
'required' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}"
payload := strings.NewReader("{\n \"code\": \"isBopis\",\n \"name\": \"isBopis\",\n \"description\": \"To check the status of the BOPIS(Buy-Online-Pickup-In-Store)\",\n \"required\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"isBopis\",\n \"name\": \"isBopis\",\n \"description\": \"To check the status of the BOPIS(Buy-Online-Pickup-In-Store)\",\n \"required\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"isBopis\",\n \"name\": \"isBopis\",\n \"description\": \"To check the status of the BOPIS(Buy-Online-Pickup-In-Store)\",\n \"required\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "622786ae0bdb19221a24fb61",
"code": "isBopis",
"name": "Is Bopis",
"description": "To check the status of the BOPIS (Buy-Online_Pickup-In-Store)",
"type": "BOOLEAN",
"required": true
}{
"message": "Invalid payload or parameter"
}{
"message": "Resource not found. If the issue persists please contact support@fabric.inc."
}{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Location Attribute
Update location attribute by code
Updates the location attribute by attribute code
PUT
/
location
/
attribute
/
{code}
Update location attribute by code
curl --request PUT \
--url https://prod01.oms.fabric.inc/api/v2/location/attribute/{code} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"code": "isBopis",
"name": "isBopis",
"description": "To check the status of the BOPIS(Buy-Online-Pickup-In-Store)",
"required": true
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}"
payload = {
"code": "isBopis",
"name": "isBopis",
"description": "To check the status of the BOPIS(Buy-Online-Pickup-In-Store)",
"required": True
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
code: 'isBopis',
name: 'isBopis',
description: 'To check the status of the BOPIS(Buy-Online-Pickup-In-Store)',
required: true
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'code' => 'isBopis',
'name' => 'isBopis',
'description' => 'To check the status of the BOPIS(Buy-Online-Pickup-In-Store)',
'required' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}"
payload := strings.NewReader("{\n \"code\": \"isBopis\",\n \"name\": \"isBopis\",\n \"description\": \"To check the status of the BOPIS(Buy-Online-Pickup-In-Store)\",\n \"required\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"isBopis\",\n \"name\": \"isBopis\",\n \"description\": \"To check the status of the BOPIS(Buy-Online-Pickup-In-Store)\",\n \"required\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"isBopis\",\n \"name\": \"isBopis\",\n \"description\": \"To check the status of the BOPIS(Buy-Online-Pickup-In-Store)\",\n \"required\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "622786ae0bdb19221a24fb61",
"code": "isBopis",
"name": "Is Bopis",
"description": "To check the status of the BOPIS (Buy-Online_Pickup-In-Store)",
"type": "BOOLEAN",
"required": true
}{
"message": "Invalid payload or parameter"
}{
"message": "Resource not found. If the issue persists please contact support@fabric.inc."
}{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Authorizations
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Response
OK
Was this page helpful?
